## power-calibrate 0.01.20

=== Makefile ===
#
# Copyright (C) 2014-2015 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.01.20

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

BINDIR=/usr/sbin
MANDIR=/usr/share/man/man8

SRC = power-calibrate.c perf.c
OBJS = $(SRC:.c=.o)

power-calibrate: $(OBJS) Makefile perf.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm -o $@ $(LDFLAGS)

power-calibrate.o: power-calibrate.c Makefile perf.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c power-calibrate.c -o $@

perf.o: perf.c Makefile perf.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c perf.c -o $@

power-calibrate.8.gz: power-calibrate.8
	gzip -c $< > $@

dist:
	rm -rf power-calibrate-$(VERSION)
	mkdir power-calibrate-$(VERSION)
	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 perf.c perf.h COPYING power-calibrate-$(VERSION)
	tar -zcf power-calibrate-$(VERSION).tar.gz power-calibrate-$(VERSION)
	rm -rf power-calibrate-$(VERSION)

clean:
	rm -f power-calibrate $(OBJS) power-calibrate.8.gz
	rm -f power-calibrate-$(VERSION).tar.gz

install: power-calibrate power-calibrate.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp power-calibrate ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp power-calibrate.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
power-calibrate (0.01.20-1) unstable; urgency=medium

  * Clear pids after each round so perf failures don't occur (LP:#1494226)
  * Makefile: bump version
  * Handle NaN values for R^2 gracefully
  * Only update stats if perf counter is valid
  * Add SI scale 'atto' prefix

 -- Colin King <colin.king@canonical.com>  Thu, 10 Sep 2015 11:58:00 +0100

power-calibrate (0.01.19-1) unstable; urgency=medium

  * debian/control: update Build-Depends to version 9 or above
  * Update debian/compat to 9
  * Makefile: bump version
  * Check for zero CPUs
  * move scaled onto one line
  * perf: make pid arg const

 -- Colin King <colin.king@canonical.com>  Mon, 7 Sep 2015 23:44:00 +0100

power-calibrate (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: control: fix '..' typo, make lines wider

 -- Colin King <colin.king@canonical.com>  Tue, 4 Aug 2015 16:13:12 +0100

power-calibrate (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix units (Watts, Watt-Seconds)

 -- Colin King <colin.king@canonical.com>  Tue, 4 Aug 2015 13:47:12 +0100

power-calibrate (0.01.16-1) unstable; urgency=medium

  * Update debian control
  * Add perf.c perf.h to make dist rule
  * Make RAPL help hint available if RAPL is built-in
  * Fix build issue on non-RAPL enabled H/W
  * Makefile: bump version, remove -g flag
  * Ensure YAML output is correct for all metrics
  * perf: initialize i in case perf is not opened
  * Use strtok instead of strtok_r
  * perf: don't read if ioctl() failed
  * clear cpu_list, found by valgrind
  * Add more help on -n option
  * Add example to help
  * Update man page
  * Makefile: improve rules
  * Make more perf specific code build dependent
  * Make start delay 0 seconds for RAPL
  * Remove "Each " from stats
  * Make perf stats build time dependent
  * Makefile: make build depend on this
  * Cater for builds with perf disabled
  * Make monitor inline, it is called just once
  * Make next pointers in list start of structs for better performance
  * Constify func arg
  * Remove rapl_list global
  * Remove global max_cpus
  * Remove global num_cpus
  * Remove global sample_delay
  * Remove power_domains, it is not used
  * Remove global samples_cpu
  * Clean up of code, remove cpu_list global
  * Add perf statistics
  * Switch output from JSON to YAML as it is easier to parse for humans
  * Make source 80 char wide tty friendly
  * Remove unused struct measurement_t
  * Reduce scope of amps[] and volts[]
  * Don't intialise cpu to -1 as it gets re-assigned a little later on
  * Clean up func args
  * mwc() should be 32 bit and not 64
  * Fix spelling in struct comment
  * Remove -C, -S context switch option as this is not accurate

 -- Colin King <colin.king@canonical.com>  Tue, 4 Aug 2015 10:45:00 +0100

power-calibrate (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove SIGILL, SIGABRT signal handling
  * Manual: add copyright, update date
  * Makefile: Add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 17:38:00 +0100

power-calibrate (0.01.14-1) unstable; urgency=medium

  * Prepare for initial upload to Debian (Closes: #782734)
  * Makefile: bump version

 -- Colin King <colin.king@canonical.com>  Thu, 16 Apr 2015 16:29:00 +0500

power-calibrate (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Make a larger field for load x number of processors.

 -- Colin King <colin.king@canonical.com>  Thu, 16 Apr 2015 16:20:00 +0500

power-calibrate (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix non-x86 build, remove some redundant rapl code

 -- Colin King <colin.king@canonical.com>  Sun, 29 Mar 2015 17:15:00 +0100

power-calibrate (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -R RAPL per CPU package power measurement

 -- Colin King <colin.king@canonical.com>  Sun, 29 Mar 2015 16:40:00 +0100

power-calibrate (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Add more clarification about the -c mode.
  * Print the gradient in %e as this generally small for context switches
  * Add more clarifications in the manual.

 -- Colin King <colin.king@canonical.com>  Sun, 1 Feb 2015 17:27:11 +0000

power-calibrate (0.01.09-1) unstable; urgency=medium

  * Makefile: Bump version
  * Add more comments
  * Guard against division by zero for 0 samples
  * Update the manual, add more examples
  * Make Ctxt/s field 1 char wider
  * Remove the "calibrating" message, in fact, it's warming up
  * Remove Voltage + Current Info, not really helpful or necessary
  * Add -e option, re-work output
  * Change the meaning of the -n option, now list the CPUs to run on.

 -- Colin King <colin.king@canonical.com>  Wed, 21 Jan 2015 19:22:23 +0000

power-calibrate (0.01.08-1) unstable; urgency=medium

  * Bump makefile version
  * Update copyright information
  * Add scripts to make dist
  * Remove scripts/foo, this was not meant to be checked in

 -- Colin King <colin.king@canonical.com>  Sun, 18 Jan 2015 20:43:12 +0000

power-calibrate (0.01.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Clean up error handling messages.
  * Fix some issues found by Coverity Scan
  * power-calibrate should be installed to /usr/sbin
  * Minor adjustments to keep code and manual in sync and up to date
  * Remove unwanted capacity calculation cruft

 -- Colin King <colin.king@canonical.com>  Sun, 18 Jan 2015 20:28:00 +0000

power-calibrate (0.01.06) vivid; urgency=medium

  * Makefile: bump version
  * Update manual
  * Update help info
  * Make bogo op counters more cache friendly
  * Add bogo ops calculation
  * Correct context switch related messages
  * Fix context switch stats
  * Remove use of set_proc_name
  * Handle signal abort more responsively
  * Improved reading and error handling for stats
  * Check for sysconf failures
  * Handle unknown optarg
  * Replace APP_NAME with static string app_name


## power-calibrate 0.01.21

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2015 Canonical, Ltd.
+# Copyright (C) 2014-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.20
+VERSION=0.01.21
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
power-calibrate (0.01.21-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix indentation, as spotted by gcc-6
  * Update and correct copyright years

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jan 2016 17:53:23 +0000

=== debian/control ===
Source: power-calibrate
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/power-calibrate

Package: power-calibrate
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: processor power calibration tool
 Power-calibrate calibrates the power consumption of a mobile device that
 has a battery power source or of an modern Intel device has RAPL support.
 It will attempt to calculate the power usage of 1% of CPU utilisation
 (and 1 instruction and 1 cpu cycle if perf is available).

## power-calibrate 0.01.22

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.21
+VERSION=0.01.22
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
power-calibrate (0.01.22-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
  * Update man page to mention perf mode restrictions
  * perf: detect when perf counters can't be used (LP: #1627516)

 -- Colin King <colin.king@canonical.com>  Sun, 25 Sep 2016 09:05:53 +0100

## power-calibrate 0.01.23

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,19 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.22
+VERSION=0.01.23
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8

=== debian/changelog ===
power-calibrate (0.01.23-1) unstable; urgency=medium

  * Makefile: bump version
  * Move scope of variable discharging
  * Allow float comparisons some slop
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Wed, 2 Nov 2016 13:27:21 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/power-calibrate

## power-calibrate 0.01.24

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2016 Canonical, Ltd.
+# Copyright (C) 2014-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.23
+VERSION=0.01.24
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
power-calibrate (0.01.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Update copyright year
  * Fix inconsistent indenting

 -- Colin King <colin.king@canonical.com>  Sat, 15 Apr 2017 16:40:11 +0100

## power-calibrate 0.01.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2017 Canonical, Ltd.
+# Copyright (C) 2014-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.24
+VERSION=0.01.25
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
power-calibrate (0.01.25-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: uopdate Standards-Version to 4.1.2
  * Fix build issue with perf-less ia64 arch
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Thu, 11 Jan 2018 10:16:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/power-calibrate

## power-calibrate 0.01.26

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.25
+VERSION=0.01.26
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
power-calibrate (0.01.26-1) unstable; urgency=medium

  * Makefile: bump version
  * voidify unused function returns
  * constify path
  * debian/copyright: use secure URI
  * debian/control: update debhelper to >= 11
  * debian/control: remove trailing empty line
  * debian/compat: update to 11

 -- Colin King <colin.king@canonical.com>  Sun, 17 Jun 2018 13:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Homepage: http://kernel.ubuntu.com/~cking/power-calibrate
 
 Package: power-calibrate
@@ -14,4 +14,3 @@
  has a battery power source or of an modern Intel device has RAPL support.
  It will attempt to calculate the power usage of 1% of CPU utilisation
  (and 1 instruction and 1 cpu cycle if perf is available).
-

## power-calibrate 0.01.27

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2018 Canonical, Ltd.
+# Copyright (C) 2014-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.26
+VERSION=0.01.27
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
 #
 # Pedantic flags
@@ -51,7 +51,8 @@
 dist:
 	rm -rf power-calibrate-$(VERSION)
 	mkdir power-calibrate-$(VERSION)
-	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 perf.c perf.h COPYING power-calibrate-$(VERSION)
+	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 \
+		perf.c perf.h COPYING .travis.yml power-calibrate-$(VERSION)
 	tar -zcf power-calibrate-$(VERSION).tar.gz power-calibrate-$(VERSION)
 	rm -rf power-calibrate-$(VERSION)

## power-calibrate 0.01.28

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.27
+VERSION=0.01.28
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.28-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: Update to compat level 12

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 19:11:12 +0100

power-calibrate (0.01.27-1) unstable; urgency=medium

  * Makefile: bump version
  * No need for < comparison on unsigned int
  * Reduce scope of cpu_cycles and cpu_instr
  * Use correct format specifiers
  * Remove a redundant duplicated if statement
  * Update copyright year (#2)
  * Update copyright year
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Tue, 9 Jul 2019 11:29:11 +0100

## power-calibrate 0.01.29

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.28
+VERSION=0.01.29
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.29-1) unstable; urgency=medium

  * Makefile: bump version
  * perf: remove redundant variable rc
  * check for correct number of fields scanned with sscanf

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 14:09:14 +0000

## power-calibrate 0.01.30

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2019 Canonical, Ltd.
+# Copyright (C) 2014-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.29
+VERSION=0.01.30
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
@@ -32,6 +32,7 @@
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 SRC = power-calibrate.c perf.c
 OBJS = $(SRC:.c=.o)
@@ -52,7 +53,8 @@
 	rm -rf power-calibrate-$(VERSION)
 	mkdir power-calibrate-$(VERSION)
 	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 \
-		perf.c perf.h COPYING .travis.yml power-calibrate-$(VERSION)
+		perf.c perf.h COPYING .travis.yml bash-completion \
+		power-calibrate-$(VERSION)
 	tar -zcf power-calibrate-$(VERSION).tar.gz power-calibrate-$(VERSION)
 	rm -rf power-calibrate-$(VERSION)
 
@@ -65,3 +67,5 @@
 	cp power-calibrate ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp power-calibrate.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/power-calibrate ${DESTDIR}${BASHDIR}

=== debian/changelog ===
power-calibrate (0.01.30-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 17:11:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Homepage: http://kernel.ubuntu.com/~cking/power-calibrate
 
 Package: power-calibrate

## power-calibrate 0.01.31

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.30
+VERSION=0.01.31
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.31-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:20:19 +0100

## power-calibrate 0.01.32

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2020 Canonical, Ltd.
+# Copyright (C) 2014-2021 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.31
+VERSION=0.01.32
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.32-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove deprecated siginterrupt call, replace with SA_RESTART flag
  * update copyright to 2021

 -- Colin King <colin.king@canonical.com>  Fri, 19 Feb 2021 11:47:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: power-calibrate
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13)
 Homepage: http://kernel.ubuntu.com/~cking/power-calibrate
 
 Package: power-calibrate

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/power-calibrate/power-calibrate-(.+).tar.gz

## power-calibrate 0.01.33

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.32
+VERSION=0.01.33
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.33-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure outputs args of monitor() are zero'd

 -- Colin King <colin.king@canonical.com>  Wed, 28 Apr 2021 22:19:17 +0100

## power-calibrate 0.01.34

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.33
+VERSION=0.01.34
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
@@ -53,7 +53,7 @@
 	rm -rf power-calibrate-$(VERSION)
 	mkdir power-calibrate-$(VERSION)
 	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 \
-		perf.c perf.h COPYING .travis.yml bash-completion \
+		perf.c perf.h COPYING .travis.yml bash-completion README.md \
 		power-calibrate-$(VERSION)
 	tar -zcf power-calibrate-$(VERSION).tar.gz power-calibrate-$(VERSION)
 	rm -rf power-calibrate-$(VERSION)

=== debian/changelog ===
power-calibrate (0.01.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add README.md to dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 10 Nov 2021 18:59:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
-Homepage: http://kernel.ubuntu.com/~cking/power-calibrate
+Homepage: https://github.com/ColinIanKing/power-calibrate
 
 Package: power-calibrate
 Architecture: linux-any

## power-calibrate 0.01.36

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
+# Copyright (C) 2021-2024 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.34
+VERSION=0.01.36
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
@@ -55,12 +56,12 @@
 	cp -rp Makefile scripts power-calibrate.c power-calibrate.8 \
 		perf.c perf.h COPYING .travis.yml bash-completion README.md \
 		power-calibrate-$(VERSION)
-	tar -zcf power-calibrate-$(VERSION).tar.gz power-calibrate-$(VERSION)
+	tar -Jcf power-calibrate-$(VERSION).tar.xz power-calibrate-$(VERSION)
 	rm -rf power-calibrate-$(VERSION)
 
 clean:
 	rm -f power-calibrate $(OBJS) power-calibrate.8.gz
-	rm -f power-calibrate-$(VERSION).tar.gz
+	rm -f power-calibrate-$(VERSION).tar.xz
 
 install: power-calibrate power-calibrate.8.gz
 	mkdir -p ${DESTDIR}${BINDIR}

=== debian/changelog ===
power-calibrate (0.01.36-1) unstable; urgency=medium

  * Makefile: bump version
  * add init_values to ensure all data is initialized

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 2 Feb 2024 19:23:48 +0000

power-calibrate (0.01.35-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright for Makefile and manual
  * debian/control: update standards version to 4.6.2
  * Makefile: use xz compression on tarball for make dist rule
  * debian/rules: add missing hardening rules
  * power-calibrate: improve error messages, hint to run as root

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 11:50:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/power-calibrate

## power-calibrate 0.01.37

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.36
+VERSION=0.01.37
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
power-calibrate (0.01.37-1) unstable; urgency=medium

  * debian/control: update Standards-Version to 4.7.0
  * Makefile: bump version
  * power-calibrate: re-work code to reduce number of exit calls

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 17 Jul 2024 17:20:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/power-calibrate

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/power-calibrate/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
